> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建组织级别密钥

> 为组织创建机密信息。

<div id="permissions">
  ## 权限
</div>

需要具有组织层级 `ManageOrgSecrets` 权限的服务用户。


## OpenAPI

````yaml zh/v3-openapi.yaml POST /v3/organizations/{org_id}/secrets
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/secrets:
    post:
      tags:
        - secrets
      summary: 创建组织级别密钥
      description: 为组织创建机密信息。
      operationId: handle_create_secret_v3_organizations__org_id__secrets_post
      parameters:
        - description: 组织 ID（前缀：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecretCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretResponse'
          description: 成功响应
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未经授权
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 禁止访问
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未找到
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 冲突
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 内容无法处理
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 请求过于频繁
components:
  schemas:
    SecretCreateRequest:
      properties:
        is_sensitive:
          default: true
          title: Is Sensitive
          type: boolean
        key:
          title: Key
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        type:
          enum:
            - cookie
            - key-value
            - totp
          title: Type
          type: string
        value:
          title: Value
          type: string
      required:
        - type
        - key
        - value
      title: SecretCreateRequest
      type: object
    SecretResponse:
      properties:
        access_type:
          enum:
            - org
            - personal
          title: Access Type
          type: string
        created_at:
          title: Created At
          type: integer
        created_by:
          title: Created By
          type: string
        is_sensitive:
          title: Is Sensitive
          type: boolean
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        secret_id:
          title: Secret Id
          type: string
        secret_type:
          enum:
            - cookie
            - key-value
            - totp
          title: Secret Type
          type: string
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
      required:
        - secret_id
        - key
        - note
        - is_sensitive
        - created_by
        - created_at
        - secret_type
        - access_type
      title: SecretResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 的 RFC 9457 application/problem+json 错误响应体。


        detail 沿用自旧版 {"detail": ...} 响应体，以保持向后兼容；其他成员字段为新增字段。errors
        包含字段级验证失败信息（仅 422）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: 针对此次具体情况的、便于人理解的说明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: 字段级验证错误（仅适用于 422 响应）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: 此次出现对应的 URI 引用（请求路径）。
          title: Instance
        status:
          description: HTTP 状态码。
          title: Status
          type: integer
        title:
          description: 对问题类型的简短、便于理解的概述。
          title: Title
          type: string
        type:
          default: about:blank
          description: 用于标识问题类型的 URI 引用。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````